shishi_keys_to_keytab_mem(3)

NAME
shishi_keys_to_keytab_mem - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_to_keytab_mem(Shishi * handle, Shishi_keys * keys, char ** out, size_t * len);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_keys * keys
    key set to convert to keytab format.

char ** out
    constant memory buffer with keytab of len size.

size_t * len
    size of memory buffer with keytab data.

DESCRIPTION
Write keys to a MIT keytab data structure. The format of keytab's is proprietary, and this function writes the 0x0502 format. See the section The MIT Kerberos Keytab Binary File Format in the Shishi manual for a description of the reverse-engineered format.

RETURNS
On success SHISHI_OK is returned, otherwise an error code.

SINCE
0.0.42

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.